#
# spec file for package uncrustify
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           uncrustify
Version:        0.73.0
Release:        bp154.1.20
Summary:        Source Code Beautifier for C, C++, C#, ObjectiveC, D
License:        GPL-2.0-or-later
Group:          Development/Languages/C and C++
URL:            https://github.com/uncrustify/uncrustify
Source:         https://github.com/uncrustify/uncrustify/archive/uncrustify-0.73.0.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++

%description
Source Code Beautifier for C, C++, C#, ObjectiveC, D, Java, Pawn and VALA.

Features:
  * Ident code, aligning on parens, assignments, etc.
  * Align on '=' and variable definitions.
  * Align structure initializers.
  * Align #define stuff.
  * Align backslash-newline stuff.
  * Reformat comments (a little bit).
  * Fix inter-character spacing.
  * Add or remove parens on return statements.
  * Add or remove braces on single-statement if/do/while/for statements.
  * Supports embedded SQL 'EXEC SQL' stuff.
  * Highly configurable - 454 configurable options as of version 0.60.

%prep
%setup -q -n %{name}-%{name}-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install
rm -rf %{buildroot}%{_datadir}/doc/uncrustify

%files
%doc AUTHORS ChangeLog README.md documentation/* etc
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{?ext_man}

%changelog
* Thu Jul  1 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to 0.73.0
  * Added indent_before_class_colon
  * Added sp_cmt_cpp_region
  * Added cmt_sp_before_doxygen_javadoc_tags
  * Added cmt_align_doxygen_javadoc_tags
  * Added cmt_reflow_fold_regex_file
  * Added processing_cmt_as_regex
  * Added cmt_reflow_indent_to_paragraph_start
  * Added sp_cpp_lambda_argument_list
  * Added nl_do_leave_one_liners
  * Added debug_truncate
  * Added indent_comma_brace
* Mon Jan  4 2021 Dirk Müller <dmueller@suse.com>
- update to 0.72.0:
  * new command option: --debug-csv-format : Dump debug info to file in csv-delimited format.
  * Added: nl_inside_empty_func
  * Added: debug_timeout
  * Added: sp_inside_square_empty
  * Added: align_eigen_comma_init
  * Added: pos_shift
  * Added: donot_indent_func_def_close_paren
  * Added: donot_add_nl_before_cpp_comment
  * see https://github.com/uncrustify/uncrustify/blob/uncrustify-0.72.0/ChangeLog
* Thu May 14 2020 Martin Pluskal <mpluskal@suse.com>
- Update to version 0.71.0:
  * Changes too numerous to list, see ChangeLog
* Sun Feb 18 2018 aloisio@gmx.com
- Update to version 0.66.1
  * Changes too numerous to list, see ChangeLog
- Switched to cmake build
* Fri May  8 2015 adam@mizerski.pl
- update to 0.61
  - no entry in changelog
* Tue Jul 15 2014 adam@mizerski.pl
- new package (version 0.60)
